make软件的问题?

为当前最终发行版之前的所有版本提供支持
回复
ikey
帖子: 155
注册时间: 2005-10-09 15:25
送出感谢: 0
接收感谢: 0

make软件的问题?

#1

帖子 ikey » 2005-10-17 23:48

ubuntu的确不错!装软件很容易!用新立得就可以搞定很多东西!
但是我到现在装的软件全部是用rpm和新立得装上去的。从来没有从源码装成功一个东西,试过很多种,每种也试过了好多次!编连环境应该没有问题!以前以为是系统的问题,今天重装了还是这样,不知道怎么办了
在make的时候,它提示的一些东西很象是源码有问题,经常是什么什么没有定义,还有什么什么地反正现在也记不清楚了!源码应该没有问题,因为有些我以前在redhat下面装成功过的!
另外有个问题,不知道是不是BUG ,我用新力得装gcc3.3的时候,它提示依赖cpp3.3装cpp3.3 的时候,提示依赖gcc 3.3base,看gcc 3.3base的时候,发现装系统的时候默认已经装上了!
不知道别人的ubuntu怎么样,反正我的很容易发生错误,比window xp还容易出问题!再玩段时间试试,不行的话就只好用其他的了!各位ubuntu的fans不要鄙视我啊!
同时希望有高手帮我解决make的问题啊!我在论坛上面问了好多次了,连我自己都觉得没有脸面再问下去了!
神啊!赐给我一个高手吧!
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2005-10-17 23:52

apt-get build-dep,今天才学到的。可能有用。
gcc的那套,论坛以前有,包括autoconf, automake等等。
● 鸣学
ikey
帖子: 155
注册时间: 2005-10-09 15:25
送出感谢: 0
接收感谢: 0

#3

帖子 ikey » 2005-10-17 23:59

先谢过eexpress!
现在在xp 里面。
太晚了。明天再试!
ikey
帖子: 155
注册时间: 2005-10-09 15:25
送出感谢: 0
接收感谢: 0

#4

帖子 ikey » 2005-10-18 14:15

autoconf, automake的各种版本都装了,论坛上面别人讲的一些东西也搞了 !
可是还是不让make阿 !
dosmark
帖子: 4
注册时间: 2005-10-27 19:39
送出感谢: 0
接收感谢: 0

#5

帖子 dosmark » 2005-10-28 3:11

这个问题我也搞不懂。。。看了一天的这个论坛了,都没人肯答。那些高手也来体谅下我们这些菜鸟吧!!

什么GCC ,automake ,jre~~ 什么都装了。就是不能make.
不知道什么意思,出现这个:

make: *** 没有指明目标并且找不到 makefile。 停止。
dosmark
帖子: 4
注册时间: 2005-10-27 19:39
送出感谢: 0
接收感谢: 0

#6

帖子 dosmark » 2005-10-28 3:13

高手们。可怜下,搞了二天了。
boyofmsn
帖子: 2
注册时间: 2005-09-28 11:28
送出感谢: 0
接收感谢: 0

#7

帖子 boyofmsn » 2005-10-28 8:52

这个是没有Makefile这个文件吧.你是不是应该先./configure一下. ???
dosmark 写了:这个问题我也搞不懂。。。看了一天的这个论坛了,都没人肯答。那些高手也来体谅下我们这些菜鸟吧!!

什么GCC ,automake ,jre~~ 什么都装了。就是不能make.
不知道什么意思,出现这个:

make: *** 没有指明目标并且找不到 makefile。 停止。
wsyngj
帖子: 108
注册时间: 2005-08-10 20:19
送出感谢: 0
接收感谢: 0

#8

帖子 wsyngj » 2005-10-28 9:12

./configure
make
sudo make install

这不是一个完整的安装过程吗?

在 ./configure的时候少什么就apt-get install安装一个不就行了吗》apt-get 没有话google应该有吧!!找个源码回来再安装。
图片

http://www.hyvv.org
我的UBUNTU7.10博客
回复

回到 “老旧版本支持”